'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isCurrentDirUpdated;

var _readPkgUp = require('read-pkg-up');

var _readPkgUp2 = _interopRequireDefault(_readPkgUp);

var _isPackageUpdated = require('./isPackageUpdated');

var _isPackageUpdated2 = _interopRequireDefault(_isPackageUpdated);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isCurrentDirUpdated(options) {
  try {
    var pkgName = _readPkgUp2.default.sync().pkg.name;
    var updated = (0, _isPackageUpdated2.default)(pkgName, options);
    return { package: pkgName, updated };
  } catch (e) {
    var error = e.stderr ? e.stderr.toString().replace(/\n$/, '') : e;
    return { error, updated: false };
  }
}